#32/64
%define oname fMSX

%define oversion %(echo %{version} | tr -d .)

Summary:	MSX Emulator
Name:		fmsx
Version:	6.0
Release:	%mkrel 1
License:	Freeware
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
Url:		http://fms.komkon.org/fMSX/
Source0:	%{oname}%{oversion}.tar.xz
Source1:	%{name}.png
Source2:	ROMs.tar.gz
Patch0:         %{oname}40.patch
Patch1:         %{oname}40-roms.patch
BuildRequires:	ImageMagick
BuildRequires:  unzip
BuildRequires:	%{_lib}pulseaudio-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	%{_lib}xext-devel
BuildRequires:  zlib1-devel
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description
MSX Emulator.



#----------------------------------------------------------------------------

%prep
%setup -q -c -a 2
%patch0
%patch1


%build
cd fMSX/Unix
make %{?_smp_mflags}

%install
rm -rf %buildroot
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 fMSX/Unix/fmsx %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/fMSX
install -m 644 ROMs/* %{buildroot}%{_datadir}/fMSX
install -m 644 fMSX/Unix/CARTS.SHA %{buildroot}%{_datadir}/fMSX


# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=fMSX
Comment=MSX emulator
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

# install menu icons
for N in 16 32 48 64 128 256;
do
convert %{SOURCE1} -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%doc fMSX/fMSX.html
%{_bindir}/%{name}
%{_datadir}/*
%{_iconsdir}/*

%changelog

* Wed Mar 24 2021 Agent Smith  <ruidobranco@yahoo.com.br> 6.0-1pclos2021
- Updated the package fMSX, with latest sources.

* Tue Feb 16 2021 Agent Smith  <ruidobranco@yahoo.com.br> 5.9-1pclos2021
- Updated the package fMSX, with latest sources.

* Mon May 08 2017 Agent Smith  <ruidobranco@yahoo.com.br> 4.9-1pclos2017
- Updated the package fMSX, with latest sources.


* Mon Jan 18 2016 Agent Smith  <ruidobranco@yahoo.com.br> 4.4-1pclos2016
- Created the package fMSX, with latest sources.

